View Issue Details
ID | Project | Category | View Status | Date Submitted | Last Update |
---|---|---|---|---|---|
0033795 | Community | OCCT:Modeling Algorithms | public | 2024-08-14 06:49 | 2024-08-14 15:28 |
Reporter | eryar | Assigned To | akaftasev | ||
Priority | normal | Severity | minor | ||
Status | new | Resolution | open | ||
Platform | Windows | OS | VC++ 2015 | ||
Product Version | 7.8.1 | ||||
Summary | 0033795: Modeling Algorithms - BRepOffsetAPI_MakeOffset fail | ||||
Description | https://dev.opencascade.org/content/brepoffsetapimakeoffset-fail-0 I am using OCCT 7.8.0.The following is the code used. // shape is the edge in the attachment BRepBuilderAPI_FindPlane findPlane(shape, 0.001); BRepBuilderAPI_MakeFace makeFace(findPlane.Plane()->Pln()); TopoDS_Face face = makeFace; BRepOffsetAPI_MakeOffset makeOffset(face, GeomAbs_JoinType::GeomAbs_Intersection,true); BRepBuilderAPI_MakeWire makeWire(TopoDS::Edge(shape)); makeOffset.AddWire(makeWire); makeOffset.Perform(0.1, 0); if (makeOffset.IsDone()) { TopoDS_Shape S = makeOffset.Shape(); } | ||||
Steps To Reproduce | restore w.brep mkoffset r w 1 0.1 | ||||
Tags | No tags attached. | ||||
Test case number | |||||
Date Modified | Username | Field | Change |
---|---|---|---|
2024-08-14 06:49 | eryar | New Issue | |
2024-08-14 06:49 | eryar | Assigned To | => akaftasev |
2024-08-14 06:49 | eryar | File Added: w.brep | |
2024-08-14 15:28 | dpasukhi | Target Version | 7.8.1 => |
2024-08-14 15:28 | dpasukhi | Summary | BRepOffsetAPI_MakeOffset fail => Modeling Algorithms - BRepOffsetAPI_MakeOffset fail |
2024-08-14 15:28 | dpasukhi | Description Updated | |
2024-08-14 15:28 | dpasukhi | Steps to Reproduce Updated |